GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientAsyncReaderWriterInterface< W, R > Class Template Referenceabstract

`#include <stream.h>`

## Public Member Functions
virtual void | WritesDone (void *tag)=0
Public Member Functions inherited from grpc::ClientAsyncStreamingInterface
virtual | ~ClientAsyncStreamingInterface ()
virtual void | ReadInitialMetadata (void *tag)=0
virtual void | Finish (Status *status, void *tag)=0
Public Member Functions inherited from grpc::AsyncWriterInterface< W >
virtual | ~AsyncWriterInterface ()
virtual void | Write (const W &msg, void *tag)=0
Public Member Functions inherited from grpc::AsyncReaderInterface< R >
virtual | ~AsyncReaderInterface ()
virtual void | Read (R *msg, void *tag)=0

## Member Function Documentation

template<class W , class R >

virtual void grpc::ClientAsyncReaderWriterInterface< W, R >::WritesDone | ( | void * | tag | ) |
| pure virtual

Implemented in grpc::ClientAsyncReaderWriter< R, W >.

The documentation for this class was generated from the following file:

- include/grpc++/stream.h